Skip to main content
GET
/
organizations
/
{orgId}
/
bills
/
{billId}
/
debitlineitems
/
{id}
Retrieve Debit Line Item
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/bills/{billId}/debitlineitems/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "version": 123,
  "lineItemType": "STANDING_CHARGE",
  "productId": "<string>",
  "description": "<string>",
  "servicePeriodStartDate": "2023-11-07T05:31:56Z",
  "servicePeriodEndDate": "2023-11-07T05:31:56Z",
  "referencedBillId": "<string>",
  "referencedLineItemId": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "amount": 123,
  "debitReasonId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.m3ter.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

orgId
string
required

UUID of the Organization. The Organization represents your company as a direct customer of the m3ter service.

billId
string
required

UUID of the bill.

id
string
required

The UUID of the debit line item to retrieve.

Response

Returns the debit line item

id
string
required

The UUID of the entity.

version
integer<int64>

The version number:

  • Create: On initial Create to insert a new entity, the version is set at 1 in the response.
  • Update: On successful Update, the version is incremented by 1 in the response.
lineItemType
enum<string>
Available options:
STANDING_CHARGE,
USAGE,
COUNTER_RUNNING_TOTAL_CHARGE,
COUNTER_ADJUSTMENT_DEBIT,
COUNTER_ADJUSTMENT_CREDIT,
USAGE_CREDIT,
MINIMUM_SPEND,
MINIMUM_SPEND_REFUND,
CREDIT_DEDUCTION,
MANUAL_ADJUSTMENT,
CREDIT_MEMO,
DEBIT_MEMO,
COMMITMENT_CONSUMED,
COMMITMENT_FEE,
OVERAGE_SURCHARGE,
OVERAGE_USAGE,
BALANCE_CONSUMED,
BALANCE_FEE,
AD_HOC
productId
string
description
string
servicePeriodStartDate
string<date-time>
servicePeriodEndDate
string<date-time>
referencedBillId
string
referencedLineItemId
string
dtCreated
string<date-time>

The DateTime when the line item was created.

dtLastModified
string<date-time>

The DateTime when the line item was last modified.

createdBy
string

The ID of the user who created this line item.

lastModifiedBy
string

The ID of the user who last modified this line item.

amount
number
debitReasonId
string

The UUID of the debit reason for this debit line item.